RT1050 bootROM eMMC5.1 support

cancel
Showing results for 
Search instead for 
Did you mean: 

RT1050 bootROM eMMC5.1 support

700 Views
mateuszpiesta
Contributor II

The question is if bootROM will be able to boot from eMMC 5.0 - 5.1 version card ? We are designing product in which we are planning to boot from eMMC, RM says that uSDHC supports JEDEC 4.5 and as far as I know 5.0/1 versions are backward compatible with 4.5 so it should work. Could you confirm this ?

Thank you in advance

Mateusz Piesta

Labels (1)
Tags (2)
0 Kudos
3 Replies

507 Views
Carlos_Musich
NXP Employee
NXP Employee

Hi Mateusz,

there are no plans to support eMMC5.1 in i.MXRT1050. But if you want I can investigate if future releases of i.MXRT family will.

Carlos

0 Kudos

507 Views
mateuszpiesta
Contributor II

Hi Carlos,

by saying that eMMC5.1 is not supported you mean bootROM won't be able to boot from eMMC5.0/5.1 cards or it will fallback to 4.5 standard and boot properly ?

Mateusz

0 Kudos

507 Views
Carlos_Musich
NXP Employee
NXP Employee

Hi Mateusz,

The EMMC 4.5 or EMMC 5.0 /5.1 is backward-compatible with eMMC4.4, we can use it in eMMC4.4 mode to enable eMMC4.4 functionality and performance on the i.MXRT platform. Booting from an eMMC 4.5 device or higher version is not supported,  boot ROM will fall back to the eMMC4.4 standard when a eMMC4.5 or higher version capable device is detected.

0 Kudos